-module(unusedrec).
-export([rectest1/0, rectest2/0, rectest3/0]).

-record(state, {
                % Number of next question
                next     :: integer(),
                % PID of currently running transformation or qinfos
                current :: any(),
                % the id of the current transformation
                query_id :: any()
               }).

-record(robot, {
                model :: any(),
                proc :: integer()
                }).

rectest1() ->
    State1=#state{next=1,current=2,query_id=3},
    State1.

rectest2() ->
    Rob1=#robot{model=xyz,proc=4},
    Rob1.

rectest3() ->
    ok.
